/***文档注释***********************************************
 * 作者            ： 朱泽鹏
 * 创建日期     ：2018-02-6
 * 描述            ：探伤要求主表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.metallurgy.vo;

import java.io.Serializable;
import java.util.Date;

import market.Qms.metallurgy.mapper.ComMscStdDetectionMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_STD_DETECTION", namespace=ComMscStdDetectionMapper.class)
public class ComMscStdDetection extends BaseVO implements Serializable {
	private static final long serialVersionUID = 16446164871L;

	/** 探伤索引号 */
	@Id
	private String dic;

	/** 产品规范码 */
	@Column
	private String psc;

	/** 冶金规范码 */
	@Column
	private String msc;

	/** 标准类型(G:国标/国际/协议,K:客户,N:内控) */
	@Column("STD_TYPE")
	private String stdType;

	/** 工序代码(A\B\C\D.....) */
	@Column("PROCESS_CODE")
	private String processCode;

	/** 工序名称 */
	@Column("PROCESS_DESC")
	private String processDesc;

	/** 扣型代码(集合) */
	@Column("MODEL_CODE")
	private String modelCode;

	/** 扣型描述(集合) */
	@Column("MODEL_DESC")
	private String modelDesc;

	/** 内控标准代码(内控用) */
	@Column("STD_CODE_NK")
	private String stdCodeNk;

	/** 内控标准名称(内控用) */
	@Column("STD_NAME_NK")
	private String stdNameNk;

	/** 客户编码（内控） */
	@Column("CUSTOMER_CODE")
	private String customerCode;

	/** 客户名称（内控） */
	@Column("CUSTOMER_NAME")
	private String customerName;

	/** 产品名称集合（内控） */
	@Column("PROD_CODE_NK")
	private String prodCodeNk;

	/** 产品名称集合（内控） */
	@Column("PROD_NAME_NK")
	private String prodNameNk;

	/** 钢级/牌号代码集合（内控） */
	@Column("STEEL_CODE_NK")
	private String steelCodeNk;

	/** 钢级/牌号名称集合（内控） */
	@Column("STEEL_NAME_NK")
	private String steelNameNk;

	/** 交货状态代码集合(多个交货状态中间用" ,"进行隔离) */
	@Column("DELIVERY_STATE_CODE")
	private String deliveryStateCode;

	/** 交货状态描述集合(多个交货状态中间用" ,"进行隔离) */
	@Column("DELIVERY_STATE_DESC")
	private String deliveryStateDesc;

	/** 扣型代码集合（内控用） */
	@Column("MODEL_CODE_NK")
	private String modelCodeNk;

	/** 扣型名称集合（内控用） */
	@Column("MODEL_DESC_NK")
	private String modelDescNk;

	/** 产品标准集合（内控） */
	@Column("STD_CODE_S_NK")
	private String stdCodeSNk;

	/** 产品标准集合（内控） */
	@Column("STD_NAME_S_NK")
	private String stdNameSNk;

	/** 产品标准类别集合（内控） */
	@Column("STD_STYLE_S_NK")
	private String stdStyleSNk;

	/** 产品标准类别集合（内控） */
	@Column("STD_STYLE_DESC_S_NK")
	private String stdStyleDescSNk;

	/** 创建人 */
	@Column("CREATE_NAME")
	private String createName;

	/** 创建时间 */
	@Column("CREATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	/** 修改人 */
	@Column("UPDATE_NAME")
	private String updateName;

	/** 修改时间 */
	@Column("UPDATE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	/** 删除人 */
	@Column("DELETE_NAME")
	private String deleteName;

	/** 删除时间 */
	@Column("DELETE_TIME")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date deleteTime;

	/** 有效标志(3:已审核，2:提交审核，1:录入状态，0:无效) */
	@Column
	private String validflag;

	/** 备注 */
	@Column
	private String memo;

	/** 产品大类(4049) */
	@Column("PROD_LINE")
	private String prodLine;

	/** 接箍码(冶金规范码下面接箍码维护交货标准时用) */
	@Column("CODE_JG")
	private String codeJg;
	
	private Integer count;
	
	

	public Integer getCount() {
		return count;
	}

	public void setCount(Integer count) {
		this.count = count;
	}

	public String getDic() {
		return this.dic;
	}

	public String getPsc() {
		return this.psc;
	}

	public String getMsc() {
		return this.msc;
	}

	public String getStdType() {
		return this.stdType;
	}

	public String getProcessCode() {
		return this.processCode;
	}

	public String getProcessDesc() {
		return this.processDesc;
	}

	public String getModelCode() {
		return this.modelCode;
	}

	public String getModelDesc() {
		return this.modelDesc;
	}

	public String getStdCodeNk() {
		return this.stdCodeNk;
	}

	public String getStdNameNk() {
		return this.stdNameNk;
	}

	public String getCustomerCode() {
		return this.customerCode;
	}

	public String getCustomerName() {
		return this.customerName;
	}

	public String getProdCodeNk() {
		return this.prodCodeNk;
	}

	public String getProdNameNk() {
		return this.prodNameNk;
	}

	public String getSteelCodeNk() {
		return this.steelCodeNk;
	}

	public String getSteelNameNk() {
		return this.steelNameNk;
	}

	public String getDeliveryStateCode() {
		return this.deliveryStateCode;
	}

	public String getDeliveryStateDesc() {
		return this.deliveryStateDesc;
	}

	public String getModelCodeNk() {
		return this.modelCodeNk;
	}

	public String getModelDescNk() {
		return this.modelDescNk;
	}

	public String getStdCodeSNk() {
		return this.stdCodeSNk;
	}

	public String getStdNameSNk() {
		return this.stdNameSNk;
	}

	public String getStdStyleSNk() {
		return this.stdStyleSNk;
	}

	public String getStdStyleDescSNk() {
		return this.stdStyleDescSNk;
	}

	public String getCreateName() {
		return this.createName;
	}

	public Date getCreateTime() {
		return this.createTime;
	}

	public String getUpdateName() {
		return this.updateName;
	}

	public Date getUpdateTime() {
		return this.updateTime;
	}

	public String getDeleteName() {
		return this.deleteName;
	}

	public Date getDeleteTime() {
		return this.deleteTime;
	}

	public String getValidflag() {
		return this.validflag;
	}

	public String getMemo() {
		return this.memo;
	}

	public String getProdLine() {
		return this.prodLine;
	}

	public String getCodeJg() {
		return this.codeJg;
	}

	public void setDic(String dic) {
		this.dic = dic;
	}

	public void setPsc(String psc) {
		this.psc = psc;
	}

	public void setMsc(String msc) {
		this.msc = msc;
	}

	public void setStdType(String stdType) {
		this.stdType = stdType;
	}

	public void setProcessCode(String processCode) {
		this.processCode = processCode;
	}

	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	public void setStdCodeNk(String stdCodeNk) {
		this.stdCodeNk = stdCodeNk;
	}

	public void setStdNameNk(String stdNameNk) {
		this.stdNameNk = stdNameNk;
	}

	public void setCustomerCode(String customerCode) {
		this.customerCode = customerCode;
	}

	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}

	public void setProdCodeNk(String prodCodeNk) {
		this.prodCodeNk = prodCodeNk;
	}

	public void setProdNameNk(String prodNameNk) {
		this.prodNameNk = prodNameNk;
	}

	public void setSteelCodeNk(String steelCodeNk) {
		this.steelCodeNk = steelCodeNk;
	}

	public void setSteelNameNk(String steelNameNk) {
		this.steelNameNk = steelNameNk;
	}

	public void setDeliveryStateCode(String deliveryStateCode) {
		this.deliveryStateCode = deliveryStateCode;
	}

	public void setDeliveryStateDesc(String deliveryStateDesc) {
		this.deliveryStateDesc = deliveryStateDesc;
	}

	public void setModelCodeNk(String modelCodeNk) {
		this.modelCodeNk = modelCodeNk;
	}

	public void setModelDescNk(String modelDescNk) {
		this.modelDescNk = modelDescNk;
	}

	public void setStdCodeSNk(String stdCodeSNk) {
		this.stdCodeSNk = stdCodeSNk;
	}

	public void setStdNameSNk(String stdNameSNk) {
		this.stdNameSNk = stdNameSNk;
	}

	public void setStdStyleSNk(String stdStyleSNk) {
		this.stdStyleSNk = stdStyleSNk;
	}

	public void setStdStyleDescSNk(String stdStyleDescSNk) {
		this.stdStyleDescSNk = stdStyleDescSNk;
	}

	public void setCreateName(String createName) {
		this.createName = createName;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	public void setDeleteTime(Date deleteTime) {
		this.deleteTime = deleteTime;
	}

	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public void setProdLine(String prodLine) {
		this.prodLine = prodLine;
	}

	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

}
